import { Renderer2, ElementRef, OnInit, OnDestroy, AfterViewInit } from '@angular/core';
import { ScrollService } from './scroll.service';
import * as i0 from "@angular/core";
export declare class AnimateOnScrollDirective implements OnInit, OnDestroy, AfterViewInit {
    private elementRef;
    private renderer;
    private scroll;
    private offsetTop;
    private isVisible;
    private winHeight;
    private scrollSub;
    private resizeSub;
    private get id();
    animationName: string | null;
    offset: number;
    useScroll?: boolean;
    threshold?: number;
    constructor(elementRef: ElementRef, renderer: Renderer2, scroll: ScrollService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    /**
     * check for visibility of element in viewport to add animation
     *
     * @returns void
     */
    private manageVisibility;
    /**
     * utility function to mark element visible and add css class
     *
     * @returns void
     */
    private addAnimationClass;
    /**
     * utility function to add one or more css classes to element in DOM
     *
     * @param  {string} classes
     * @returns void
     */
    private setClass;
    /**
     * get window height utility function
     *
     * @returns void
     */
    private getWinHeight;
    /**
     * get offsetTop value for element
     *
     * @returns void
     */
    private getOffsetTop;
    static ɵfac: i0.ɵɵFactoryDef<AnimateOnScrollDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDefWithMeta<AnimateOnScrollDirective, "[animateOnScroll]", never, { "animationName": "animationName"; "offset": "offset"; "useScroll": "useScroll"; "threshold": "threshold"; }, {}, never>;
}
